/**************************************************************************

	ns

	memory.h

	Copyright (C) 1996-2002 by Tomoaki Nakashima. All rights reserved.
		http://www.nakka.com/
		nakka@nakka.com

**************************************************************************/

#ifndef MEMORY_H
#define MEMORY_H

/**************************************************************************
	Include Files
**************************************************************************/

#include <windows.h>
#include <tchar.h>


/**************************************************************************
	Define
**************************************************************************/

#ifdef _WIN32_WCE
#ifndef ZeroMemory
#define ZeroMemory(m, size)			memset(m, 0, size)
#endif
#ifndef CopyMemory
#define CopyMemory(t, f, size)		memcpy(t, f, size)
#endif
#endif


/**************************************************************************
	Struct
**************************************************************************/

/**************************************************************************
	Function Prototypes
**************************************************************************/

void *MemAlloc(int size);
void MemFree(void **mem);
TCHAR *AllocCopy(const TCHAR *buf);
TCHAR *AllocCopyN(TCHAR *buf, int size);
TCHAR *AllocJoin(const TCHAR *buf1, const TCHAR *buf2);

#endif
/* End of source */
