/**************************************************************************

	ns

	func_error.c

	Copyright (C) 1996-2002 by Tomoaki Nakashima. All rights reserved.
		http://www.nakka.com/
		nakka@nakka.com

**************************************************************************/

/**************************************************************************
	Include Files
**************************************************************************/

#include <windows.h>
#ifdef _WIN32_WCE
#include <tchar.h>
#else
#include <stdio.h>
#endif

#include "script.h"
#include "script_string.h"
#include "script_memory.h"
#include "script_utility.h"
#ifdef _WIN32_WCE
#include "view.h"
#endif


/**************************************************************************
	Define
**************************************************************************/

/**************************************************************************
	Global Variables
**************************************************************************/

/**************************************************************************
	Local Function Prototypes
**************************************************************************/


/******************************************************************************

	_sfunc_error

	G[o

******************************************************************************/

int SFUNC _sfunc_error(EXECINFO *ei, VALUEINFO *param, VALUEINFO *ret, char *ErrStr)
{
#ifdef _WIN32_WCE
	HWND hWnd;
	TCHAR *str;

	if(CheckEndEvent() == TRUE){
		return -1;
	}

	if(param == NULL){
		return -2;
	}
	hWnd = (HWND)ei->sci->param1;
	if(hWnd == NULL){
		return -1;
	}

	str = VariableToTString(param);
	//G[bZ[W̑M
	SendMessage(hWnd, WM_ADDTEXT, 0, (LPARAM)str);
	SendMessage(hWnd, WM_ADDTEXT, 0, (LPARAM)TEXT("\r\n"));
	mem_free(&str);
#else
	char *str;

	if(param == NULL){
		return -2;
	}

	str = VariableToString(param);
	fprintf(stderr, "%s\n", str);
	mem_free(&str);
#endif
	return 0;
}
/* End of source */
